module.exports = app => {
  const flashcard = require("../controllers/flashcard.controller.js");
  var router = require("express").Router();
  router.get("/:id", flashcard.flashcardGetById);
  router.delete("/:id", flashcard.deleteFlashcard);
  router.put("/:id", flashcard.updateFlashcard);
  router.post("/all", flashcard.getAllFlashcard);
  router.post("/add", flashcard.addFlashcard);
  router.post("/aggregate", flashcard.aggregate);
  app.use('/flashcard', router);
};